Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Autor Téma: Java v prohlížeči  (Přečteno 518 krát)

DarkMeni

  • Návštěvník
  • Příspěvků: 39
Java v prohlížeči
« kdy: 05 Října 2022, 13:52:39 »
Zdravím, potřeboval bych v prohlížeči povolit Javu. Lze to nějak jednoduše v dnešní době?
Potřeboval bych změřit průběh spotřeby jednoho zařízení. Mám k dispozici digitální multimetr Agilent 34411A, který to umožňuje pomocí zabudovaného webového serveru.
Ale měřící funkce vyžaduje Javu v prohlížeči, která už, jak jsem zjistil, není podporovaná skoro žádným prohlížečem. (kromě IE, ale nemám Windows)

Ještě jsem našel zmínku, že by mohlo jít spustit Java applet v Pale Moon prohlížeči, ale nefungovalo mi to.
Podle tohoto návodu se prý musí udělat symlink na libnpj2.so do /usr/lib/mozzila/plugins, ale já ten .so soubor v /usr/lib/jvm/java-8-openjdk-amd64 nemám.

JirkaZ

  • Stálý člen
  • **
  • Příspěvků: 1308
  • Dlouholetý uživatel Linuxu a open source obecně.
Re:Java v prohlížeči
« Odpověď #1 kdy: 05 Října 2022, 20:12:33 »
Zkus to jinak:

https://sigrok.org/wiki/Agilent_34410A

https://github.com/JoshuaCurry/python-agilent-34411a

Nebo si prostě nainstaluj nějakou starší verzi Firefoxu, která Java applety ještě umí. V archivu Mozilly jsou všechny verze odsampoč.

juwa2

  • Závislák
  • ***
  • Příspěvků: 4758
Re:Java v prohlížeči
« Odpověď #2 kdy: 06 Října 2022, 08:06:26 »
Zkus to jinak:

https://sigrok.org/wiki/Agilent_34410A

https://github.com/JoshuaCurry/python-agilent-34411a

Nebo si prostě nainstaluj nějakou starší verzi Firefoxu, která Java applety ještě umí. V archivu Mozilly jsou všechny verze odsampoč.

Přesně tak - použít starší verzi;)   (Nemusí se nijak instalovat, stažený archiv *.tar.bz2 (stáhni si cs verzi) stačí rozbalit a spustit soubor "firefox".  Nastavení si "převezme" ze stávajícího profilu (~/.mozilla/firefox/...)). Takto můžeš mít/zkoušet vícero verzí současně...

Ventero

  • Závislák
  • ***
  • Příspěvků: 3080
Re:Java v prohlížeči
« Odpověď #3 kdy: 06 Října 2022, 09:03:37 »
Nastaveni profilu ob vice verzi nebude plne kompatibilni a muze to delat problemy.
Bud upravit spoustec na spousteni s konkretnim profilem - nekde tu Juwa psal navod a nebo by mohlo stacit nastavit v portable starsi verzi rovnou alternativni profil, aby pro nejnovejsi instalovanou verzi (treba kvuli IB) zustal ten originalni profil ..
Zalezi jak se budou FF vyuzivat a pro co - dle potreb uzivatele.
Zvuky jsou mantrami a myšlenky moudrostí, prostě proto, že se mohou objevovat ...

DarkMeni

  • Návštěvník
  • Příspěvků: 39
Re:Java v prohlížeči
« Odpověď #4 kdy: 06 Října 2022, 15:58:38 »
Ani s tím starším firefoxem (zkoušel jsem 52.0-esr a 52.9-esr - to je poslední, který by měl NPAPI podporovat) mi to tu Javu nespustilo. Zkoušel jsem na profilu nového uživatele.
Asi chybí ten plugin, ale jelikož je to stará verze, tak to už nezobrazuje žádné pluginy ke stažení.
Možná to chce stejný postup jako pro Pale Moon, tedy vytvořit link na libnpj2.so do /usr/lib/mozilla/plugins.
Podle toho návodu (zmíněného v prvním příspěvku) bych ten soubor měl najít v /usr/lib/java/jdk1.8.0_121/jre/lib/amd64/, ale já po instalaci "openjdk-8-jre" a "openjdk-8-jdk" java složku v /usr/lib vůbec nemám. Místo toho ale mám /usr/lib/jvm/java-8-openjdk-amd64, jenže po prohledání všech podsložek jsem tam ten libnpj2.so soubor nenašel.

Včera jsem někde narazil na zmínku, že ve verzi 8u271 byl ten plugin odebrán. Ale nepodařilo se mi najít archív (a návod), jak stáhnout a nainstalovat starší verzi Javy. Pomocí apt, které to vše nastavilo za mě, to bylo v pohodě, ale kdybych měl někam rozbalit tarball a pak ještě nastavovat PATH env apod., tak to bych asi netušil.

Nicméně, pomocí toho sigroku se mi to rozchodit nepodařilo, ale ten python script od JoshuaCurry vypadá, že dělá přesně co potřebuji (po tom co jsem ho přepsal aby fungoval v pythonu3 :D ) Takže bych to považoval za vyřešené, díky :)

Ventero

  • Závislák
  • ***
  • Příspěvků: 3080
Re:Java v prohlížeči
« Odpověď #5 kdy: 06 Října 2022, 20:04:56 »
Citace z Arch-fóra
Citace
Pokud vím, libnpjp2.so je implementace pluginu Oracle a vzhledem k tomu, že používám OpenJDK, nemohu tento soubor nikde najít.
Takže závěrem zůstanu u pluginu IcedTea.
Tedy dostat se k Java od Oracle a odtamtud ho extrahovat?
Nebo zkusit pohledat jenom ten plugin, jestli se někde neválí?
Zjistit, co je to ten IcedTea - že by nějaká náhražka?
https://askubuntu.com/questions/680090/libnpjp2-so-java-plugin-missing-in-openjdk-8-jdki386
- nejspíše bude verze i pro 64bit ?
https://pkgs.org/download/icedtea-8-plugin

https://duckduckgo.com/?t=ffab&q=icedtea+linux&ia=web
https://duckduckgo.com/?t=ffsb&q=libnpj2.so&ia=web
Zvuky jsou mantrami a myšlenky moudrostí, prostě proto, že se mohou objevovat ...

 


Provoz zaštiťuje spolek OpenAlt.